Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class ServiceHarvester

    java.lang.Object
      java.util.TimerTask
          org.deegree.ogcwebservices.csw.manager.AbstractHarvester
              org.deegree.ogcwebservices.csw.manager.ServiceHarvester

All Implemented Interfaces:
  Runnable

    public class ServiceHarvester

extends AbstractHarvester

Concrete implementation of

Since:
  2.0
Version:
  $Revision: 19475 $, 1.0. $Revision: 19475 $, $Date: 2009-09-02 14:51:48 +0200 (Mi, 02. Sep 2009) $
Author:
  Andreas Poth, last edited by: $Author: lbuesching $
See Also:
  `for harvesting service metadata from OGC web services. To enable this capabilities documents of the OWS will be accessed and transformed into a valid format that will be understood by the underlying catalogue. To enable a lot of flexibility a XSLT read from resource bundle (harvestservice.xsl) script will be used to perform the required transformation.

  A valid harvest SOURCE for a service must be a complete GetCapabilities request; the RESOURCETYPE must be 'service'. Example:

  ...?request=Harvest&version=2.0.0&source=[http://MyServer:8080/deegree? service=WFS&version=1.1.0&request=GetCapabilities]&resourceType=service& resourceFormat=text/xml&responseHandler=mailto:info@lat-lon.de&harvestInterval=P2W

  value in brackets [..] must be URL encoded and send without brackets!

  This is not absolutly compliant to OGc CSW 2.0.0 specification but Harvest definition as available from the spec is to limited because it just targets single metadata documents.

  `

Nested Class Summary
`protected class` | `ServiceHarvester.HarvestProcessor` inner class for processing asynchronous harvesting of a service

Nested classes/interfaces inherited from class org.deegree.ogcwebservices.csw.manager.AbstractHarvester
`AbstractHarvester.AbstractHarvestProcessor`

Field Summary
`(package private) static ILogger` | `LOG`
`(package private) static URL` | `xslt`

Fields inherited from class org.deegree.ogcwebservices.csw.manager.AbstractHarvester
`inProgress, nsc, version`

Constructor Summary
`ServiceHarvester(String version)`

Method Summary
`static ServiceHarvester` | `getInstance(String version)` singelton
`void` | `run()`

Methods inherited from class org.deegree.ogcwebservices.csw.manager.AbstractHarvester
`addRequest, getIdentifierXPath, getIdentifierXPathForUpdate, informResponseHandlers, informResponseHandlers, isRunning, removeRequest, shallHarvest, startHarvesting, stopHarvesting`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    static final ILogger LOG

### xslt

    static final URL xslt

Constructor Detail

### ServiceHarvester

    public ServiceHarvester(String version)

Parameters:
  `version` - the version of the CSW

Method Detail

### getInstance

    public static ServiceHarvester getInstance(String version)

  singelton

  Parameters:
    `version` - the version of the CSW
  Returns:
    the new instance

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `TimerTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org